Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1164484 - Review Request: jake - Jake -- the JavaScript build tool for Node.js
Summary: Review Request: jake - Jake -- the JavaScript build tool for Node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Miroslav Suchý
URL:
Whiteboard:
Depends On: 1164481 1164483
Blocks: nodejs-reviews 1164485
TreeView+ depends on / blocked
 
Reported: 2014-11-15 17:30 UTC by Tom Hughes
Modified: 2014-12-06 10:55 UTC (History)
2 users (show)

Fixed In Version: jake-8.0.10-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 02:30:01 UTC
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2014-11-15 17:30:31 UTC
Spec URL: http://download.compton.nu/nodejs/jake.spec
SRPM URL: http://download.compton.nu/nodejs/jake-8.0.10-1.fc20.src.rpm
Fedora Account System Username: tomh

Description:
Jake is the JavaScript build tool for NodeJS. Jake has been
around since the very early days of Node, and is very full
featured and well tested.

Comment 1 Miroslav Suchý 2014-11-25 00:13:09 UTC
For F21+ please do:
  %license LICENSE
See http://fedoraproject.org/wiki/Changes/Use_license_macro_in_RPMs_for_packages_in_Cloud_Image

Summary - do not repeat name of the package. Just:
Summary:  The JavaScript build tool for Node.js

jake.noarch: W: no-manual-page-for-binary jake
It would be nice to create man page.

Comment 2 Tom Hughes 2014-11-25 00:16:37 UTC
Is the %license thing FPC approved yet? I noticed it in one of the packages I was reviewing recently, but couldn't find anything about it in the packaging guidelines, so thanks for that link.

Comment 3 Tom Hughes 2014-11-25 00:28:15 UTC
Looks like the proposers of that change completely dropped the ball - they got FPC approval and then didn't do anything to actually update the guidelines or the packages they were most interested in for six months.

Seems things have just woken up again, but current suggestion is that it will only be recommended and it reality it seems to me that it has effectively slipped to F22 which has the additional advantage that we won't still be trying to support a release where rpm doesn't know about %license.

New build with the name removed from the summary:

Spec URL: http://download.compton.nu/nodejs/jake.spec
SRPM URL: http://download.compton.nu/nodejs/jake-8.0.10-1.fc20.src.rpm

Comment 4 Tom Hughes 2014-11-25 00:42:00 UTC
Added manual page as well:

Spec URL: http://download.compton.nu/nodejs/jake.spec
SRPM URL: http://download.compton.nu/nodejs/jake-8.0.10-3.fc20.src.rpm

Comment 5 Miroslav Suchý 2014-11-25 00:50:41 UTC
*nod* still not in guidelines, so not mandatory.

thanks for the man page.

APPROVED

Comment 6 Tom Hughes 2014-11-25 00:51:40 UTC
New Package SCM Request
=======================
Package Name: jake
Short Description: The JavaScript build tool for Node.js
Upstream URL: http://jakejs.com/
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 7 Gwyn Ciesla 2014-11-25 13:31:35 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-11-25 14:32:04 UTC
jake-8.0.10-3.fc20,nodejs-mapnik-pool-0.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jake-8.0.10-3.fc20,nodejs-mapnik-pool-0.1.0-2.fc20

Comment 9 Fedora Update System 2014-11-25 14:33:59 UTC
jake-8.0.10-3.fc21, nodejs-mapnik-pool-0.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jake-8.0.10-3.fc21,nodejs-mapnik-pool-0.1.0-2.fc21

Comment 10 Fedora Update System 2014-11-25 21:25:05 UTC
jake-8.0.10-3.fc21, nodejs-mapnik-pool-0.1.0-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Fedora Update System 2014-12-06 02:30:01 UTC
jake-8.0.10-3.fc20, nodejs-mapnik-pool-0.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-12-06 10:55:31 UTC
jake-8.0.10-3.fc21, nodejs-mapnik-pool-0.1.0-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.